Bug 1653251 - Activation key search is broken
Summary: Activation key search is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: Oleksandr Shtaier
URL:
Whiteboard:
: 1653325 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 11:30 UTC by Oleksandr Shtaier
Modified: 2019-10-07 17:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:09 UTC


Attachments (Terms of Use)
Screenshot with issue (41.70 KB, image/png)
2018-11-26 11:30 UTC, Oleksandr Shtaier
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:16 UTC
Foreman Issue Tracker 25599 None None None 2018-11-30 21:06:23 UTC

Description Oleksandr Shtaier 2018-11-26 11:30:50 UTC
Created attachment 1508542 [details]
Screenshot with issue

Description of problem:
Input any data to search field on Activation Key page and click 'Search' button. That action lead to SQL error and blocking of further search procedure

Version-Release number of selected component (if applicable):
6.5.0 (latest snap on Nov 25)

How reproducible:
Always

Steps to Reproduce:
1. Write any data to search field
2. Push 'Search' button
3.

Actual results:
Search functionality for activation keys doesn't work

Expected results:
You can use search functionality for activation keys

Additional info:

Comment 2 Oleksandr Shtaier 2018-11-26 11:36:05 UTC
Blocking each and every test automation scenario for activation key functionality without any easy workaround
At that moment: ~26 of integration/system tests

Comment 4 Ales Dujicek 2018-11-27 12:20:11 UTC
*** Bug 1653325 has been marked as a duplicate of this bug. ***

Comment 5 Ales Dujicek 2018-11-27 12:24:08 UTC
this is the actual error

external method 'find_by_subscription_id' failed with error: PG::InvalidTextRepresentation: ERROR: invalid input syntax for integer: "keyname" LINE 1: ...ivation_keys"."pool_id" WHERE (katello_pools.id = 'keyname') ^ : SELECT "katello_activation_keys"."id" FROM "katello_activation_keys" INNER JOIN "katello_pool_activation_keys" ON "katello_pool_activation_keys"."activation_key_id" = "katello_activation_keys"."id" INNER JOIN "katello_pools" ON "katello_pools"."id" = "katello_pool_activation_keys"."pool_id" WHERE (katello_pools.id = 'keyname')

changing component to Search

Comment 6 John Mitsch 2018-11-30 21:06:21 UTC
Created redmine issue https://projects.theforeman.org/issues/25599 from this bug

Comment 7 Oleksandr Shtaier 2018-12-27 11:59:06 UTC
Verified on 6.5.0 snap 9

List of packages:
candlepin-2.5.8-1.el7.noarch
candlepin-selinux-2.5.8-1.el7.noarch
foreman-1.20.1.2-1.el7sat.noarch
foreman-bootloaders-redhat-201801241201-3.el7sat.noarch
foreman-bootloaders-redhat-tftpboot-201801241201-3.el7sat.noarch
foreman-cli-1.20.1.2-1.el7sat.noarch
foreman-compute-1.20.1.2-1.el7sat.noarch
foreman-debug-1.20.1.2-1.el7sat.noarch
foreman-discovery-image-3.5.3-1.el7sat.noarch
...


1) Executed `test_positive_end_to_end_crud` from ui_airgun/test_activationkey.py
2) Manually using next search scenario
  a) `test_name1`
  b) `test_name2`
  c) `name = test_name1`
  d) `name ~ test_name`
  e) `environment =  Library`

All scenario works as expected

Comment 9 errata-xmlrpc 2019-05-14 12:39:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.